Bug 23567 - adding PDF support causes Apache startup failure
adding PDF support causes Apache startup failure
Product: Red Hat Raw Hide
Classification: Retired
Component: php (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-01-08 02:39 EST by Lee Howard
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-01-08 02:39:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lee Howard 2001-01-08 02:39:44 EST
In order to compile-in PDF support into PHP, the RPMs must be built with:
option in the configure script after installing pdflib-3.x.  Due to the 
bug mentioned at:
the compile --with-pdflib fails on anything less than php-4.0.4

So, grabbing the php-4.0.4-1 src.rpm from Rawhide, adding --with-pdflib to 
the configure script in the spec file, installing pdflib-3.03 (--enable-
shared-pdflib because the java components fail during make otherwise), and 
then building the RPMs - all goes well.

Because pdflib wasn't installed via RPM, the pdflib.so.0 file dependency 
is complained about, so the RPMs are installed via: 'rpm -Uvh --nodeps'

Then try restarting Apache, and you'll notice the problem:
[root@providence i386]# /etc/rc.d/init.d/httpd restart
Shutting down http: [  OK  ]
Starting httpd: Syntax error on line 256 of /etc/httpd/conf/httpd.conf:
Cannot load /etc/httpd/modules/libphp4.so into server: shared object not 
[root@providence i386]#

This occurs when php-4.0.4 is compiled/installed via RPM or directly using 
configure, make, make install.  Uninstalling the new RPMs and then using 
the php-4.0.3pl1-2 RPMs allows Apache to restart properly, but obviously 
there is no PDF support there.

How can this be resolved?
Comment 1 Lee Howard 2001-01-09 00:36:48 EST
needed to add /usr/local/lib to /etc/ld.so.conf and then run /sbin/ldconfig 
because pdflib installs itself by default into /usr/local/lib rather 
than /usr/lib

Note You need to log in before you can comment on or make changes to this bug.